Subject: Re: bug#78184: 30.0.93; ansi-osc-apply-on-region should use end marker

From: Matthias Meulien <[email-masked]>
Date: Sat, 31 May 2025 14:02:24 +0200

Sorry I don't think I've write access to the source repository. Whats more
I've no personnal computer at home for an undefined time period...

Matthias

Le sam. 31 mai 2025, 13:48, Eli Zaretskii <[email-masked]> a écrit :

> > From: Troy Brown <[email-masked]>
> > Date: Tue, 27 May 2025 17:23:19 -0400
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >
> > On Sat, May 24, 2025 at 11:25 AM Matthias Meulien <[email-masked]>
> wrote:
> > >
> > > Here is an updated patch that extend `ansi-osc-filter-region' to
> properly handle unfinished escape sequences. Tests have been added to cover
> multiple successive calls to `ansi-osc-filter-region' and
> `ansi-osc-apply-region'.
> >
> > This patch looks good to me.  Thanks Matthias!
>
> Matthias, feel free to install on the master branch, and thanks.
>